public class PhoneBookEntry implements CsvEntry {
    private final String firstName;
    private final String lastName;
    private final int number;

    public PhoneBookEntry(String firstName, String lastName, int number) {
        this.firstName = firstName;
        this.lastName = lastName;
        this.number = number;
    }

    @Override
    public String toHtml() {
    	
    	// standard table structure html
        StringBuilder sb = new StringBuilder();
        sb.append("<tr>");
        sb.append("<td>");
        sb.append(this.firstName+" "+this.lastName);
        sb.append("</td>");
        sb.append("<td>");
        sb.append(this.number);
        sb.append("</td>");
        sb.append("</tr>");
        
        return sb.toString();

    }

    /**
     * Wandelt ein Array aus Zellen in einen Telefonbucheintrag um
     * 
     * @param cells die Eingabezeile
     * @return der resultierende Entry oder null
     */
    public static CsvEntry cellsToEntry(String[] cells) {
        try {
        	return new PhoneBookEntry(cells[0], cells[1], Integer.parseInt(cells[2]));
        } catch (Exception e) {
        	return null;
        }
    }
}
